s_hd_t Struct Reference
Public interface » ID macros

Individual hardware item. More...

`#include <hd.h>`

## Data Structures

struct | is_s
struct | tag_s

## Data Fields

struct s_hd_t * | next
| Link to next hardware item.
unsigned | idx
| Unique index, starting at 1.
unsigned | broken:1
| Hardware appears to be broken in some way.
hd_id_t | bus
| Bus type (id and name).
unsigned | slot
| Slot and bus number.
unsigned | func
| (PCI) function.
hd_id_t | base_class
| Base class (id and name).
hd_id_t | sub_class
| Sub class (id and name).
hd_id_t | prog_if
| (PCI) programming interface (id and name).
hd_id_t | vendor
| Vendor id and name.
hd_id_t | device
| Device id and name.
hd_id_t | sub_vendor
| Subvendor id and name.
hd_id_t | sub_device
| Subdevice id and name.
hd_id_t | revision
| Revision id or string.
char * | serial
| Serial id.
hd_id_t | compat_vendor
| Vendor id and name of some compatible hardware.
hd_id_t | compat_device
| Device id and name of some compatible hardware.
hd_hw_item_t | hw_class
| Hardware class.
unsigned char | hw_class_list [(hw_all+7)/8]
| Hardware class list.
char * | model
| Model name.
unsigned | attached_to
| Device this hardware is attached to.
char * | sysfs_id
| sysfs entry for this hardware, if any.
char * | sysfs_bus_id
| sysfs bus id for this hardware, if any.
char * | sysfs_device_link
| sysfs device link.
char * | unix_dev_name
| Special device file.
hd_dev_num_t | unix_dev_num
| Device type & number according to sysfs.
str_list_t * | unix_dev_names
| List of device names.
char * | unix_dev_name2
| Special device file.
hd_dev_num_t | unix_dev_num2
| Device type & number according to sysfs.
char * | rom_id
| BIOS/PROM id.
char * | udi
| HAL udi.
char * | parent_udi
| udi of parent (attached_to).
char * | unique_id
| Unique id for this hardware.
str_list_t * | unique_ids
| List of ids.
unsigned | module
| (Internal) Probing module that created this entry.
unsigned | line
| (Internal) Source code line where this entry was created.
unsigned | count
| (Internal) Counter, used in combination with hd_t::module and hd_t::line.
hd_res_t * | res
| Device resources.
hd_detail_t * | detail
| Special info associated with this hardware.
str_list_t * | extra_info
| (Internal) Unspecific text info.
hd_status_t | status
| Hardware status (if available).
char * | config_string
| Some config info.
hd_hotplug_t | hotplug
| Hotplug controller for this device.
unsigned | hotplug_slot
| Slot the hotplug device is connected to (e.g.
struct s_hd_t::is_s | is
struct s_hd_t::tag_s | tag
unsigned char * | block0
| (Internal) First 512 bytes of block devices.
char * | driver
| Currently active driver.
char * | driver_module
| Currently active driver module (if any).
str_list_t * | drivers
| List of currently active drivers.
str_list_t * | driver_modules
| List of currently active driver modules.
char * | old_unique_id
| Old unique_id for compatibility.
char * | parent_id
| unique_id of parent (attached_to).
str_list_t * | child_ids
| unique_ids of children (parent_id).
char * | unique_id1
| (Internal) location independent unique_id part.
char * | usb_guid
| USB Global Unique Identifier.
driver_info_t * | driver_info
| device driver info
str_list_t *hal_prop_t * | hal_prop
| packages/programs required for this hardware
hal_prop_t * | persistent_prop
| persistent property list
char * | modalias
| module alias
char * | label
| Consistent Device Name (CDN), pci firmware spec 3.1, chapter 4.6.7.
unsigned | ref_cnt
| (Internal) memory reference count.
struct s_hd_t * | ref
| (Internal) if set, this is only a reference.

## Detailed Description

Individual hardware item.

Every hardware component gets an hd_t entry. A list of all hardware items is in hd_data_t::hd.

The documentation for this struct was generated from the following file:

- hd.h